using Decimation.Content.Items.Ores;
using Decimation.Content.Tiles;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Tools
{
    internal class TitanitePax : DecimationTool
    {
        protected override string ItemName => "Titanite Pax";
        protected override int MeleeDamages => 64;
        protected override int PickaxePower => 250;
        protected override int AxePower => 27;

        protected override void InitTool()
        {
            item.width = 48;
            item.height = 52;
            this.item.crit = 14;
            item.useTime = 5;
            item.useAnimation = 15;
            this.item.knockBack = 7;
            item.rare = Rarity.LightRed.GetRarityValue();
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, ModContent.TileType<TitanForge>());

            recipe.AddIngredient(ModContent.ItemType<TitaniteBar>(), 12);
            recipe.AddIngredient(ItemID.SoulofMight, 15);

            return recipe;
        }
    }
}